 *,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

img {
    max-width: 100%;
    height: auto;
}

body {
    background-image:url(../img/new-wheel/cards_desktop@1x.png),
    url(../img/new-wheel/neon_desktop@1x.png),
    url(../img/new-wheel/bg_desktop@1x.jpg);
    background-image:
            -webkit-image-set( url(../img/new-wheel/cards_desktop@1x.webp) type("image/webp"),
            url(../img/new-wheel/cards_desktop@1x.png) type("image/png")),
            -webkit-image-set( url(../img/new-wheel/neon_desktop@1x.webp) type("image/webp"),
            url(../img/new-wheel/neon_desktop@1x.png) type("image/png")),
            -webkit-image-set( url(../img/new-wheel/bg_desktop@1x.webp) type("image/webp"),
            url(../img/new-wheel/bg_desktop@1x.jpg) type("image/jpeg"));
    background-image:
            image-set( url(../img/new-wheel/cards_desktop@1x.webp) type("image/webp"),
            url(../img/new-wheel/cards_desktop@1x.png) type("image/png")),
            image-set( url(../img/new-wheel/neon_desktop@1x.webp) type("image/webp"),
            url(../img/new-wheel/neon_desktop@1x.png) type("image/png")),
            image-set( url(../img/new-wheel/bg_desktop@1x.webp) type("image/webp"),
            url(../img/new-wheel/bg_desktop@1x.jpg) type("image/jpeg"));
    background-size: 1750px auto, 1950px auto, cover;
    background-position: center, center, center top;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-color: #000000;
    min-height: 100vh;
    overflow: hidden;
    animation: 1.5s fly infinite alternate;
}

@keyframes fly {
    from {
        background-position: 50% calc(50% - 5px), 50% calc(50% - 5px), center;
    }

    to {
        background-position: 50% calc(50% + 5px), 50% calc(50% + 5px), center;
    }
}

.header {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    max-width:  1280px;
    margin: 0 auto;
    position: relative;
    padding-top: 30px;
    padding-right: 3.125%;
}

.header__logo {
    position: absolute;
    top: 30px;
    left: 50%;
    transform: translateX(-50%);
    background-image: url("../img/logo.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    z-index: 1000;
}

.background {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 1920px;
    height: 1080px;
    z-index: -1;
    transform: translate(-50%, -50%);
}

.background img {
    width: 100%;
    height: 100%;
}

.main {
    display: flex;
    align-items: center;
    justify-content: center;
}

.reserveSector {
    display: none;
}

.show {
    display: block !important;
}

.header__container,
.header__text {
    position: absolute;
    left: 50%
}

.header__container,.page,header {
    min-width: 280px
}

.gradient-text {
    background-color: #ff1300;
    background-image: linear-gradient(180deg, #ff1300, #fff105 80%, #fff105 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 4px #000000;
}

.round-button,.win-circle__text p,.win-circle__text_2 p {
    font-family: 'Righteous', sans-serif;
    font-weight: 700
}

ol,ul {
    list-style: none
}

table {
    border-collapse: separate;
    border-spacing: 0
}

caption,td,th {
    text-align: left;
    font-weight: 700
}

.button,.header__text,.wheel__holder,.win-circle,.win-circle__title {
    text-align: center
}

a img {
    border: 0
}

.parallax .levitate {
    position: absolute;
}

.header__container {
    width: 100%;
    text-align: center;
    padding-top: 30px;
    bottom: 920px;
    -webkit-transform: translate(-50%);
    transform: translate(-50%)
}

.header__container a {
    display: table;
    width: auto;
    margin: 0 auto
}

.header .text-logo-glow {
    display: block;
    position: absolute;
    -webkit-transform: translate(50%,-30px);
    transform: translate(50%,-30px)
}

.header__text {
    font-size: 66px;
    line-height: 64px;
    text-transform: uppercase;
    -webkit-transform: translate(-50%);
    transform: translate(-50%);
    top: 70px
}

.header__text .text-desc {
    display: block;
    position: relative;
    z-index: 199
}

.language__container {
    z-index: 50;
}

.character-wrapper {
    position: absolute;
    right: 0;
    width: 580px;
    height: 627px;
    bottom: 0;
    background-image: url("../img/new-wheel/character.png");
    background-image: image-set(url("../img/new-wheel/character.webp") type("image/webp"), url("../img/new-wheel/character.png") type("image/png"));
    background-repeat: no-repeat;
    background-position: center top;
    background-size: 100% auto;
}

 .character-wrapper::before {
     content: "";
     position: absolute;
     top: 0;
     left: 0;
     width: 100%;
     height: 100%;
     background-image: url("../img/new-wheel/character_glowing.png");
     background-image: image-set(url("../img/new-wheel/character_glowing.webp") type("image/webp"), url("../img/new-wheel/character_glowing.png") type("image/png"));
     background-repeat: no-repeat;
     background-position: center -38px;
     background-size: 113% auto;
     opacity: 0;
     animation: pulseCharacter 5s infinite;
 }

 @keyframes pulseCharacter {
     0% {
         opacity: 0;
     }
     50% {
         opacity: 1;
     }
     100% {
         opacity: 0;
     }
 }

.fewmodal {
    position: fixed;
    left: 0;
    z-index: 60;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    background: radial-gradient(100% 100% at 47.27% 0%, #6638B0FF , rgba(17, 0, 0, 0.00) 33.19%), rgba(0,0,0, 0.8);
    background-position: center -145px;
    background-repeat: no-repeat;
    background-size: contain;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s;
}

 .overlay {
     position: fixed;
     left: 0;
     right: 0;
     top: 0;
     bottom: 0;
     background: radial-gradient(100% 100% at 47.27% 0%, #6638B0FF , rgba(17, 0, 0, 0.00) 33.19%), rgba(0,0,0, 0.8);
     opacity: 0;
     pointer-events: none;
     background-position: center -145px;
     background-repeat: no-repeat;
     transition: opacity 0.3s ease;
 }

.overlay.opened {
    opacity: 1;
    pointer-events: all;
}

.fewmodal.modal--show {
    opacity: 1;
    pointer-events: auto;
}

.wheel__spinner_animated {
    animation: 3s spinner ease-in-out infinite
}

.wheel__spinner_animated-1 {
    animation: 4s spinToOne cubic-bezier(.21,.84,.62,.89) 1;
    animation-fill-mode: forwards;
}

.wheel__spinner_animated-2 {
    animation: 4s spinToTwo cubic-bezier(.21,.84,.62,.89) 1;
    animation-fill-mode: forwards;
}

@keyframes spinner {
    0% {
        transform: rotate(993deg);
    }

    50% {
        transform: rotate(990deg);
    }

    100% {
        transform: rotate(993deg);
    }
}

@keyframes spinToOne {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(1193deg)
    }
}

@keyframes spinToTwo {
    0% {
        transform: rotateZ(0deg)
    }

    100% {
        transform: rotateZ(1554deg);
    }
}

.fewmodal__body {
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    position: relative;
    -ms-flex-item-align: stretch;
    align-self: stretch;
    max-width: 600px;
    opacity: 0;
    transition: opacity 0.5s;
}

.modal--show .fewmodal__body  {
    opacity: 1;
}

.fewmodal__content {
    position: relative;
    margin: auto
}

.round-button {
    display: inline-block;
    border: 0;
    outline: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    width: 70px;
    height: 70px;
    background: url(../img/new-wheel/round_btn_desk_@2x.png) 50% 50% / cover no-repeat;
    background: -webkit-image-set(
            url(../img/new-wheel/round_btn_desk_@2x.webp) type("image/webp"),
            url(../img/new-wheel/round_btn_desk_@2x.png) type("image/png")) 50% 50% / cover no-repeat;
    background: image-set(
            url(../img/new-wheel/round_btn_desk_@2x.webp) type("image/webp"),
            url(../img/new-wheel/round_btn_desk_@2x.png) type("image/png")) 50% 50% / cover no-repeat;
    font-size: 40px;
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
    cursor: pointer;
    font-style: normal;
    text-shadow: 0 2px 2px rgba(0, 0, 0, 0.50);
    filter: drop-shadow(0 5px 5px #00000040);
}

.round-button:active {
    text-shadow: none;
    filter: none;
}

.locale_fr .round-button {
    font-size: 30px;
}

.locale_de .round-button, .locale_it .round-button {
    font-size: 26px;
}

.page {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overflow-x: hidden;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    min-height: 100vh
}

.page__wrap {
    position: relative;
    max-width: 1366px;
    margin: auto
}

.game-layout {
    position: relative;
}

.second_bg {
    display: none;
    position: absolute;
    width: 100%;
    height: 100vh;
    z-index: -1;
    top: 0;
    left: 0;
}

.second_bg--land {
    display: none;
}

.second_bg--port {
    display: none;
}

.game-layout__decoration {
    position: absolute;
    bottom: 0;
}

.wheel__button-holder,
.wheel__holder {
    display: -webkit-box;
    display: -ms-flexbox;
    -webkit-box-align: center
}

.wheel {
    position: absolute;
    margin: auto auto auto -355px;
    height: 710px;
    width: 710px;
    -webkit-transform: scale(0);
    transform: scale(0);
    left: 50%;
    top: calc(50% - 355px);
}

.wheel__button-holder,
.wheel__holder{
    margin: auto;
    position: absolute;
    right: 0
}

.wheel_animated {
    -webkit-animation: .5s wheel cubic-bezier(.175,.885,.32,1.275) forwards;
    animation: .5s wheel cubic-bezier(.175,.885,.32,1.275) forwards;
}

.wheel__holder {
    left: 0;
    top: 0;
    bottom: 0;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 660px;
    height: 660px;
}
.wheel::before{
    content: '';
    position: absolute;
    width: 120%;
    height: 120%;
    bottom: -20%;
    left: 50%;
    background-image: url(../img/new-wheel/shadow.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    z-index: -2;
    transform: translate(-50%, 0)
}
.wheel_sectors {
    position: absolute;
    top: 0;
    left: 0;
    width: 660px;
    height: 680px;
    transform-origin: 50% 50%;
}

.wheel__spinner-img {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    width: 562px;
}

.wheel_sector_1,
.wheel_sector_2,
.wheel_sector_3,
.wheel_sector_4,
.wheel_sector_5,
.wheel_sector_6,
.wheel_sector_7,
.wheel_sector_8,
.wheel_sector_9,
.wheel_sector_10,
.wheel_sector_11,
.wheel_sector_12 {
    font-size: 20px;
    color: #000000;
    position: absolute;
    padding-top: 10px;
    box-sizing: border-box;
    writing-mode: vertical-rl;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 64px;
    height: 130px;
    font-weight: 700;
    cursor: default;
}

.wheel_sector__text {
    font-family: 'Righteous', sans-serif;
    text-align: center;
    font-size: 25px;
    font-style: normal;
    font-weight: 400;
    line-height: 1;
}

.wheel_sector__text:nth-of-type(2n) {
    color: #FFFFFF;
    text-transform: uppercase;
}

.wheel_sector_1 {
    left: 357px;
    top: 159px;
    transform: rotate(205deg);
    margin-top: -20px;
}

.wheel_sector_2 {
    left: 447px;
    top: 245px;
    transform: rotate(245deg);
    margin: -20px 0px 0 0;
}

.wheel_sector_3 {
    right: 146px;
    bottom: 195px;
    transform: rotate(294deg);
    margin: -20px 0px 0 0;
}

.wheel_sector_4 {
    bottom: 102px;
    right: 228px;
    top: initial;
    transform: rotate(336deg);
}

.wheel_sector_5 {
    top: 454px;
    transform: rotate(23deg);
    margin-right: -20px;
    left: 227px;
}

.wheel_sector_6 {
    top: 356px;
    transform: rotate(62deg);
    margin-right: -20px;
    left: 143px;
}

.wheel_sector_7 {
    top: 234px;
    left: 149px;
    transform: rotate(113deg);
    margin-bottom: -20px;
}

.wheel_sector_8 {
    left: 230px;
    top: 129px;
    transform: rotate(155deg);
    margin-bottom: -20px;
}

.wheel__spinner {
    vertical-align: top;
    width: 710px;
    height: 710px;
    position: relative;
}

.wheel__border {
    width: 100%;
    height: 100%;
    position: relative;
    left: 50%;
    transform-origin: 5px -5px;
    transform: scale(0.95) translate(-50%, -50%);
    top: 50%;
    background: url(../img/new-wheel/wheel_border_desk@1x.png) center / contain no-repeat;
    background: -webkit-image-set(
            url(../img/new-wheel/wheel_border_desk@1x.webp) type("image/webp"),
            url(../img/new-wheel/wheel_border_desk@1x.png) type("image/png")) center / contain no-repeat;
    background: image-set(
            url(../img/new-wheel/wheel_border_desk@1x.webp) type("image/webp"),
            url(../img/new-wheel/wheel_border_desk@1x.png) type("image/png")) center / contain no-repeat;
    z-index: -1;
}

.wheel__win-frame,
.wheel__win-frame_light {
    position: absolute;
    top: 10px;
    left: 0;
    right: 0;
    z-index: 2;
    margin: auto;
    width: 80px;
    height: 100px;
    background: url(../img/new-wheel/arrow_desk@1x.png) 50% 0 no-repeat;
    background: -webkit-image-set(
            url(../img/new-wheel/arrow_desk@1x.webp) type("image/webp"),
            url(../img/new-wheel/arrow_desk@1x.png) type("image/png")) 50% 0 no-repeat;
    background: image-set(
            url(../img/new-wheel/arrow_desk@1x.webp) type("image/webp"),
            url(../img/new-wheel/arrow_desk@1x.png) type("image/png")) 50% 0 no-repeat;
    background-size: 100% auto
}

.wheel__win-frame {
    background: url(../img/new-wheel/arrow_desk@1x.png) 50% 0 no-repeat;
    background: -webkit-image-set(
            url(../img/new-wheel/arrow_desk@1x.webp) type("image/webp"),
            url(../img/new-wheel/arrow_desk@1x.png) type("image/png")) 50% 0 no-repeat;
    background: image-set(
            url(../img/new-wheel/arrow_desk@1x.webp) type("image/webp"),
            url(../img/new-wheel/arrow_desk@1x.png) type("image/png")) 50% 0 no-repeat;
    background-size: 100% auto;
    width: 90px;
    height: 100px;
    z-index: 16;
    top: -2%;
}

.wheel__win-bonus-frame {
    width: 160px;
    height: 160px;
    position: absolute;
    top: 1.5%;
    left: 2.2%;
    z-index: 14;
    display: none;
    align-items: center;
    justify-content: center;
}

.wheel__win-bonus-frame-text {
    background: -webkit-linear-gradient(180deg, #FF97B7 0%, #921230 100%);
    background: linear-gradient(180deg, #FF97B7 0%, #921230 100%);
    -webkit-background-clip: text;
    -webkit-text-stroke: 2px transparent;
    color: #FFF;
    text-align: center;
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 0.50);
    font-family: 'Righteous', sans-serif;
    font-size: 45px;
    font-style: normal;
    font-weight: 700;
    line-height: 50px;
    text-transform: uppercase;
    transform: rotate(-44deg);
}

.wheel__win-frame_light {
    background: 0 0;
    -webkit-animation: 1s glow ease-in-out infinite;
    animation: 1s glow ease-in-out infinite
}

.wheel__button-holder {
    left: 0;
    top: 0;
    bottom: 0;
    z-index: 997;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 200px;
    height: 200px;
    color: #000
}

.wheel__button-holder:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 996
}

.wheel__button-holder_blinking:before {
    -webkit-animation: 1.4s glow ease-in-out infinite;
    animation: 1.4s glow ease-in-out infinite
}

.fewmodal {
    padding: 0;
}

.win-circle__text p,
.win-circle__text_2 p {
    line-height: 1;
    font-style: normal
}

.fewmodal__content {
    background-color: transparent
}

.win-circle__title {
    font-size: 50px;
    line-height: 1;
    text-transform: uppercase;
    display: none;
    margin-top: 50px;
    margin-bottom: 10px;
    color: #FFFFFF;
    text-align: center;
    background: linear-gradient(180deg, #7a50c0, #671fab);
    background-size: 100% 100%;
    -webkit-text-stroke: 4px transparent;
    background-clip: text;
    -webkit-background-clip: text;
    filter: drop-shadow(0px 13.2px 11px rgba(0, 0, 0, 0.50));
}

.win-circle__title img {
    max-width: 100%
}

#popup-win-1,
#popup-win-2 {
    display: none;
}

.win-circle__text p {
    font-size: 30px;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    font-family: "Mayberry W02 Bold", sans-serif;
    margin-bottom: 50px;
    text-transform: uppercase
}

.button,.win-circle__text_2 p {
    color: #000;
    text-transform: uppercase
}

.win-circle__text_2 p {
    font-size: 20px
}

.win-circle__body {
    width: 600px;
    min-height: 540px;
    position: relative;
    height: auto;
    background: url(../img/new-wheel/popup_bg@2x.png) center center;
    background: -webkit-image-set( url(../img/new-wheel/popup_bg@2x.webp) type("image/webp"),
    url(../img/new-wheel/popup_bg@2x.png) type("image/png")), center center;
    background: image-set( url(../img/new-wheel/popup_bg@2x.webp) type("image/webp"),
    url(../img/new-wheel/popup_bg@2x.png) type("image/png")), center center;
    background-size: cover;
    padding: 25px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: flex-start;
    -ms-flex-item-align: stretch;
    align-self: stretch;
    box-sizing: border-box;
}

.win-circle__win-logo {
    width: 120px;
    height: 120px;
    background-image: url(../img/new-wheel/crown@2x.png);
    background-image: -webkit-image-set( url(../img/new-wheel/crown@2x.webp) type("image/webp"),
    url(../img/new-wheel/crown@2x.png) type("image/png"));
    background-image: image-set( url(../img/new-wheel/crown@2x.webp) type("image/webp"),
    url(../img/new-wheel/crown@2x.png) type("image/png"));
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    top: -30px;
    left: calc(50% - 60px);
}

.win-circle__text {
    margin: 40px auto 0;
    color: #FFFFFF;
    text-align: center;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.50);
    font-family: 'Righteous', sans-serif;
    font-style: normal;
    font-weight: 700;
    line-height: 40px;
}

.button {
    color: #FFFFFF;
    font-family: 'Righteous', sans-serif;
    text-align: center;
    text-transform: uppercase;
    background-color: transparent;
    background-image: url("../img/new-wheel/button_bg.png");
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
    border: none;
    border-radius: 5px;
    position: relative;
    padding: 0 30px;
    font-size: 22px;
    font-weight: 400;
    line-height: normal;
    min-height: 70px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    cursor: pointer;
}

 .wheel__button {
     min-width: 300px;
     height: 90px;
     position: absolute;
     left: 50%;
     bottom: -105px;
     transform: translateX(-50%);
     z-index: 999;
     font-size: 30px;
     white-space: nowrap;
     padding: 0 80px;
     filter: drop-shadow(0px 19px 17px black);
 }


 .wheel__button[disabled] {
     color: #ffffff80;
     pointer-events: none;
     cursor: auto;
 }

@media(min-width: 1200px) {
    .button:hover {
        background-image: url("../img/new-wheel/button_bg_hover.png");
        filter: none;
    }
}

 @media(max-width: 1119px) {
     .button:active {
         background-image: url("../img/new-wheel/button_bg_hover.png");
         filter: none;
     }
 }

.win-circle__spin-left {
    display: none;
    font-style: normal;
    margin-top: 30px;
    font-family: 'Righteous', sans-serif;
    color: #ffffff;
    text-align: center;
    font-size: 30px;
    font-weight: 700;
    line-height: 15px;
}

.glow {
    -webkit-animation: .75s glow infinite alternate;
    animation: .75s glow infinite alternate;
    opacity: .6
}

.levitate {
    -webkit-animation: 1.5s levitate infinite alternate;
    animation: 1.5s levitate infinite alternate
}

.header__text .text-mob {
    display: none
}

@-webkit-keyframes pop {
    0%,to {
        -webkit-transform: scale(.95);
        transform: scale(.95)
    }

    50% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@keyframes pop {
    0%,to {
        -webkit-transform: scale(.99);
        transform: scale(.99)
    }

    50% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@-webkit-keyframes levitate {
    0%,to {
        -webkit-transform: translate(0,-5%);
        transform: translate(0,-5%)
    }

    50% {
        -webkit-transform: translate(0,5%);
        transform: translate(0,5%)
    }
}

@keyframes levitate {
    0%,to {
        -webkit-transform: translate(0,-5%);
        transform: translate(0,-5%)
    }

    50% {
        -webkit-transform: translate(0,5%);
        transform: translate(0,5%)
    }
}

@-webkit-keyframes wheel {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0)
    }

    to {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@keyframes wheel {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0)
    }

    to {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@-webkit-keyframes glow {
    0%,to {
        opacity: 0
    }

    50% {
        opacity: .5
    }
}

@keyframes glow {
    0%,to {
        opacity: 0
    }

    50% {
        opacity: .5
    }
}

#registrationBtn {
    display: none;
}

.language {
    z-index: 9000;
    display: block;
    width: 20px;
    height: 20px;
    color: transparent;
    text-decoration: none;
    background-position: center;
    background-size: cover;
    border-radius: 50%;
}

#language nobr{
    margin-top: -5px;
    width: 52px;
}

#language.real-lang {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 9000;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: flex-end;
    height: 50px;
    cursor: pointer;
}

#language #all-languages {
    z-index: 9000;
    display: none;
    width: 105px;
    border-radius: 10px;
    background: transparent;
}

.language__link {
    display: flex;
    align-items: center;
    gap: 5px;
    padding: 10px 5px;
    font-family: 'Roboto', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: #000000;
    user-select: none;
    text-decoration: none;
}

.language__link:hover{
    background-color: #EEF3ED;
    font-weight: 700;
}

.language__link:first-child {
    border-radius: 10px 10px 0 0;
}

#language.real-lang.en .language__link.en,
#language.real-lang.fr .language__link.fr,
#language.real-lang.es .language__link.es,
#language.real-lang.de .language__link.de,
#language.real-lang.it .language__link.it {
    display: none;
}

.language.en {
    background-image: url(../../../common/img/flags/en.svg);
}

.language.fr {
    background-image: url(../../../common/img/flags/fr.svg);
}

.language.es {
    background-image: url(../../../common/img/flags/es.svg);
}

.language.de {
    background-image: url(../../../common/img/flags/de.svg);
}

.language.it {
    background-image: url(../../../common/img/flags/it.svg);
}

#language #arrow-languages {
    z-index: 9000;
    display: inline-block;
    float: left;
    width: 15px;
    height: 20px;
    margin-top: 8px;
    margin-left: 5px;
    background: url(../img/arrow-white.svg) no-repeat center/contain;
}

#language.hover #arrow-languages {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

#language #current-language {
    z-index: 9000;
    display: inline-block;
    float: left;
    margin-top: 0;
    -webkit-transform: translateY(2px);
    -ms-transform: translateY(2px);
    transform: translateY(2px);
    width: 30px;
    height: 30px;
}

#language.hover {
    z-index: 9000;
}

#language.hover #all-languages {
    position: absolute;
    top: 26px;
    padding-top: 20px;
    z-index: 9000;
    display: block;
}

.container-lang-links{
    overflow: hidden;
    background-color: #ffffff;
    box-shadow: 0 4px 4px 0 #00000040;
    border-radius: 10px;
}

.links-container{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
    flex-grow: 2;
}

@media (min-width: 1355px) {
    .header__logo {
        width: 275px;
        height: 75px;
    }
}



@media (max-height: 900px) {
    .fewmodal__content {
        transform: scale(0.9);
    }

}
@media(max-width: 1565px){
    .wheel_sector__text {
        line-height: 25px;
    }

    .wheel__button-holder {
        width: 180px;
        height: 180px;
    }

    .round-button {
        background-size: contain;
    }
}
@media (max-width: 1100px){
    .wheel_sector__text {
        font-size: 12px;
        line-height: 15px;
    }
}

@media (max-width: 1000px) and (orientation: landscape) {
    .wheel__holder .wheel__win-bonus-frame {
        left: -70px;
    }
}

@media (max-width: 1119px) {
    body {
        background-image: url(../img/new-wheel/neon_mobile@1x.png),
        url(../img/new-wheel/bg_mobile@1x.jpg);
        background-image:
                -webkit-image-set( url(../img/new-wheel/neon_mobile@1x.webp) type("image/webp"),
                url(../img/new-wheel/neon_mobile@1x.png) type("image/png")),
                -webkit-image-set( url(../img/new-wheel/bg_mobile@1x.webp) type("image/webp"),
                url(../img/new-wheel/bg_mobile@1x.jpg) type("image/jpeg"));
        background-image:
                image-set( url(../img/new-wheel/neon_mobile@1x.webp) type("image/webp"),
                url(../img/new-wheel/neon_mobile@1x.png) type("image/png")),
                image-set( url(../img/new-wheel/bg_mobile@1x.webp) type("image/webp"),
                url(../img/new-wheel/bg_mobile@1x.jpg) type("image/jpeg"));
        background-size: auto, cover;
        background-position: center, center top;
        min-height: unset;
    }
    @keyframes fly {
        from {
            background-position: 50% calc(50% - 5px), center;
        }

        to {
            background-position: 50% calc(50% + 5px), center;
        }
    }

    .header__logo {
        width: 172px;
        height: 40px;
    }

    #language.real-lang {
        height: initial;
    }

    #language.hover #all-languages {
        right: 10px;
    }

    .wheel {
        margin: auto auto auto -150px;
        top: calc(35% - 70px);
    }

    .wheel::before{
        width: 170%;
        height: 200%;
        max-width: 100vw;
        max-height: 100vh;
        bottom: -54%;
    }

    .wheel__spinner, .wheel__holder, .wheel_sectors, .wheel {
        width: 300px;
        height: 300px;
    }

    .wheel__spinner-img {
        width: 300px;
        height: 300px;
        transform: scale(1);
    }

    .wheel__border {
        width: 350px;
        height: 350px;
        transform: scale(1) translate(-50%, -50%);
    }

    .wheel__button-holder, .round-button {
        width: 50px;
        height: 50px;
        font-size: 16px;
        filter: drop-shadow(0px 5px 5px #00000040);
    }

    .wheel__win-frame, .wheel__win-frame_light {
        top: -30px;
        width: 43px;
        height: 80px;
    }

    .wheel_sector_1,
    .wheel_sector_2,
    .wheel_sector_3,
    .wheel_sector_4,
    .wheel_sector_5,
    .wheel_sector_6,
    .wheel_sector_7,
    .wheel_sector_8,
    .wheel_sector_9,
    .wheel_sector_10,
    .wheel_sector_11,
    .wheel_sector_12 {
        font-size: 12px;
        width: 30px;
        height: 68px;
        display: flex;
        align-items: center;
        justify-content: center;
        font-weight: 700;
    }

    .locale_fr .round-button {
        font-size: 16px;
    }

    .locale_de .round-button, .locale_it .round-button {
        font-size: 14px;
    }

    .wheel_sector_1 {
        left: 173px;
        top: 49px;
    }

    .wheel_sector_2 {
        left: 221px;
        top: 98px;
    }

    .wheel_sector_3 {
        left: 220px;
        top: 174px;
    }

    .wheel_sector_4 {
        left: 171px;
        top: 202px;
        bottom: initial;
        right: initial;
    }

    .wheel_sector_5 {
        left: 98px;
        top: 202px;
    }

    .wheel_sector_6 {
        left: 51px;
        top: 152px;
    }

    .wheel_sector_7 {
        left: 49px;
        top: 78px;
    }

    .wheel_sector_8 {
        left: 98px;
        top: 30px;
    }

    .wheel__win-bonus-frame {
        width: 70px;
        height: 62px;
        line-height: 40px;
        top: calc(100% + 12px);
        left: calc(50% - 34px);
        transform: scale(1);
        filter: drop-shadow(0px 5px 5px rgba(0, 0, 0, 0.25));
        z-index: -2;
    }

    .wheel__win-bonus-frame-text {
        font-size: 20px;
        transform: translateX(1px);
        line-height: 18.796px;
    }

    .second_bg {
        display: none;
    }

    .second_bg--land {
        display: none;
    }

    .second_bg--port {
        display: block;
        position: absolute;
        z-index: -1;
        top: calc(50% - 402px);
        left: 0;
        width: 100%;
        height: 100%;
    }

    .second_bg-img--port {
        width: 100%;
        height: 100%;
    }

    .win-circle__body {
        min-height: auto;
        width: 300px;
        height: 230px;
        background: url(../img/new-wheel/popup_bg@1x.png) type("image/png") center center no-repeat;
        background: -webkit-image-set( url(../img/new-wheel/popup_bg@1x.webp) type("image/webp"),
        url(../img/new-wheel/popup_bg@1x.png) type("image/png")), center center no-repeat;
        background: image-set( url(../img/new-wheel/popup_bg@1x.webp) type("image/webp"),
        url(../img/new-wheel/popup_bg@1x.png) type("image/png")), center center no-repeat;
        box-sizing: content-box;
        align-items: center;
        justify-content: center;
    }

    .win-circle__title {
        font-size: 25px;
        margin-top: 0;
    }

    .locale_it .win-circle__title, .locale_de .win-circle__title {
        font-size: 20px;
        margin-bottom: 20px;
    }

    .win-circle__text p {
        font-size: 15px;
        margin-bottom: 22px;
    }

    .button {
        font-size: 12px;
        min-width: unset;
        height: 40px;
        min-height: 40px;
    }

    .button::before {
        border-radius: 5px;
        top: 2px;
        left: 2px;
        right: 2px;
        bottom: 2px;
    }

    .wheel__button {
        font-size: 20px;
        bottom: -130px;
        min-width: unset;
        height: 60px;
        padding: 0 80px;
    }

    .win-circle__win-logo {
        width: 60px;
        height: 60px;
        top: -30px;
        left: calc(50% - 30px);
    }

    .win-circle__spin-left {
        font-size: 13px;
        margin-top: 10px;
    }

    .win-circle__text {
        margin: 20px auto 0;
    }

    .game-layout {
        background-size: contain;
    }

    .fewmodal__content {
        transform: scale(1);
    }

    .win-circle__body {
        max-width: 300px;
        min-width: 300px;
        width: 300px;
        min-height: 270px;
        box-sizing: border-box;
        border-radius: 1px;
    }
}

@media (max-height: 486px) and (orientation: landscape){
    body {
        background-image: url(../img/new-wheel/cards_mobile_landscape@2x.png),
        url(../img/new-wheel/neon_mobile_landscape@2x.png),
        url(../img/new-wheel/bg_mobile_landscape@2x.jpg);
        background-image: -webkit-image-set(url(../img/new-wheel/cards_mobile_landscape@2x.webp) type("image/webp"),
        url(../img/new-wheel/cards_mobile_landscape@2x.png) type("image/png")),
        -webkit-image-set(url(../img/new-wheel/neon_mobile_landscape@2x.webp) type("image/webp"),
                url(../img/new-wheel/neon_mobile_landscape@2x.png) type("image/png")),
        -webkit-image-set(url(../img/new-wheel/bg_mobile_landscape@2x.webp) type("image/webp"),
                url(../img/new-wheel/bg_mobile_landscape@2x.jpg) type("image/jpeg"));
        background-image: image-set(url(../img/new-wheel/cards_mobile_landscape@2x.webp) type("image/webp"),
        url(../img/new-wheel/cards_mobile_landscape@2x.png) type("image/png")),
        image-set(url(../img/new-wheel/neon_mobile_landscape@2x.webp) type("image/webp"),
                url(../img/new-wheel/neon_mobile_landscape@2x.png) type("image/png")),
        image-set(url(../img/new-wheel/bg_mobile_landscape@2x.webp) type("image/webp"),
                url(../img/new-wheel/bg_mobile_landscape@2x.jpg) type("image/jpeg"));
        background-position: center, center, center;
        background-size: 100% auto, 600px auto, cover;
    }

    .wheel_sector__text {
        font-size: 12px;
        line-height: 15px;
    }

    .header {
        padding-top: 20px;
    }

    .header__logo {
        width: 130px;
        height: 30px;
        left: 10px;
        top: 20px;
        transform: none;
    }

    .page__wrap {
        position: absolute;
        top: 0;
        left: 50%;
    }

    .language__container {
        transform: translate(0px, 0px);
        right: 15px;
    }

    .wheel__spinner,
    .wheel__holder,
    .wheel_sectors,
    .wheel__border, .wheel {
        width: 300px;
        height: 300px;
    }

    .second_bg {
        display: none;
    }

    .second_bg--land {
        display: block;
        position: absolute;
        top: calc(50% - 161px);
        left: calc(50% - 283px);
        z-index: -1;
    }

    .wheel {
        margin: auto auto auto -150px;
        top: calc(50% - 198px);
    }

    .wheel__spinner-img {
        width: 300px;
        height: 300px;
        transform: scale(0.9);
        transform-origin: 50%;
    }

    .wheel__border {
        width: 320px;
        height: 320px;
        transform: scale(0.86) translate(-50%, -50%);
    }

    .wheel__button-holder,
    .round-button {
        font-size: 16px;
        filter: drop-shadow(0 5px 5px #00000040);
    }

    .wheel__win-frame, .wheel__win-frame_light {
        top: -35px;
        width: 67px;
        height: 85px;
    }

    .wheel_sector_1,
    .wheel_sector_2,
    .wheel_sector_3,
    .wheel_sector_4,
    .wheel_sector_5,
    .wheel_sector_6,
    .wheel_sector_7,
    .wheel_sector_8,
    .wheel_sector_9,
    .wheel_sector_10,
    .wheel_sector_11,
    .wheel_sector_12 {
        width: 30px;
        height: 68px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .locale_de .wheel_sector__text {
        font-size: 10px;
    }

    .locale_de .wheel_sector_12 {
        left: 96px;
        top: 67px;
    }

    .locale_fr .round-button {
        font-size: 16px;
    }

    .locale_de .round-button,
    .locale_it .round-button {
        font-size: 14px;
    }

    .wheel_sector_1 {
        left: 173px;
        top: 49px;
    }

    .wheel_sector_2 {
        left: 221px;
        top: 98px;
    }

    .wheel_sector_3 {
        left: 220px;
        top: 174px;
    }

    .wheel_sector_4 {
        left: 171px;
        top: 202px;
    }

    .wheel_sector_5 {
        left: 98px;
        top: 202px;
    }

    .wheel_sector_6 {
        left: 51px;
        top: 152px;
    }

    .wheel_sector_7 {
        left: 49px;
        top: 78px;
    }

    .wheel_sector_8 {
        left: 98px;
        top: 30px;
    }

    .wheel__holder .wheel__win-bonus-frame {
        width: 80px;
        height: 70px;
        line-height: 40px;
        background-position: top 3px center;
        background-repeat: no-repeat;
        background-size: contain;
        top: calc(50% - 34px);
        transform: rotate(0) scale(1);
        left: -68px;
    }

    .wheel__win-bonus-frame-text {
        font-size: 20px;
        line-height: 18.796px;
    }

    .win-circle__body {
        min-height: auto;
        width: 300px;
        height: 230px;
        background: url(../img/new-wheel/popup_bg@1x.png) center center/100% 100% no-repeat;
        background: image-set(
                url(../img/new-wheel/popup_bg@2x.webp) type("image/webp"),
                url(../img/new-wheel/popup_bg@1x.png) type("image/png")) center center/100% 100% no-repeat;
        box-sizing: content-box;
        align-items: center;
        justify-content: center;
    }

    .win-circle__title {
        font-size: 25px;
    }

    .win-circle__text p {
        font-size: 15px;
    }

    .button {
        height: 40px;
        font-size: 15px;
        line-height: 35px;
    }

    .win-circle__win-logo {
        width: 60px;
        height: 60px;
        top: -30px;
        left: calc(50% - 30px);
    }

    .win-circle__spin-left {
        font-size: 13px;
        margin-top: 10px;
    }

    .win-circle__text {
        margin: auto;
    }

    .locale_it .win-circle__title,
    .locale_de .win-circle__title {
        font-size: 20px;
        margin-bottom: 20px;
    }
}

@media (max-width: 1025px) and (max-height: 400px){
    .wheel {
        top: calc(50% - 187px);
    }

    .wheel__button {
        bottom: -50px;
    }
}
 @media (min-width: 2500px) {
     body {
         background-image:url(../img/new-wheel/cards_desktop@1x.png),
         url(../img/new-wheel/neon_desktop@1x.png),
         url(../img/new-wheel/bg_desktop@2x.jpg);
         background-image:
                 image-set( url(../img/new-wheel/cards_desktop@1x.webp) type("image/webp"),
                 url(../img/new-wheel/cards_desktop@1x.png) type("image/png")),
                 image-set( url(../img/new-wheel/neon_desktop@1x.webp) type("image/webp"),
                 url(../img/new-wheel/neon_desktop@1x.png) type("image/png")),
                 image-set( url(../img/new-wheel/bg_desktop@2x.webp) type("image/webp"),
                 url(../img/new-wheel/bg_desktop@2x.jpg) type("image/jpeg"));
         background-size: 1750px auto, 1950px auto, cover;
         background-position: center, center, center top;
         background-attachment: fixed;
         background-repeat: no-repeat;
     }

     .character-wrapper {
         width: 1300px;
         height: 1500px;
     }

     .character-wrapper::before {
         background-position: center -80px;
     }
 }

 @media (max-width: 1919px) and (max-height: 1000px) {
     .header__logo {
         top: 30px;
     }

     .wheel__border {
         transform: scale(0.8) translate(-50%, -50%);
     }

     .wheel__holder {
         transform: scale(0.85);
     }

     .wheel__win-frame {
         top: -18px;
     }

     .wheel::before {
         width: 96%;
         bottom: -12%;
     }

     .wheel__button {
         bottom: -45px;
     }
 }

 @media (max-width: 1919px) and (max-height: 810px) {
     .wheel__border {
         transform: scale(0.7) translate(-50%, -50%);
     }

     .wheel__holder {
         transform: scale(0.74);
     }

     .wheel__button {
         bottom: -15px;
     }
 }

 @media (max-width: 1919px) and (max-height: 800px) {
     .header__logo {
         top: 14px;
     }

     .wheel__button {
         bottom: -5px;
     }
 }

 @media (max-width: 520px) {
     .wheel {
         top: unset;
         bottom: 165px;
     }

     .wheel::before {
         width: 100vw;
         top: -139px;
         bottom: unset;
         background-size: 141%;
     }

     .wheel__border {
         transform: scale(1) translate(-50%, -50%);
     }

     .wheel__win-frame {
         top: -31px;
         width: 43px;
     }

     .wheel__holder {
         transform: scale(1);
     }

     .wheel__button {
         bottom: -125px;
         padding: 0 40px;
     }

     .overlay {
         background-position: center -121px;
     }

     .fewmodal {
         background: radial-gradient(100% 100% at 47.27% 0%, #6638B0FF , rgba(17, 0, 0, 0.00) 51.19%), rgba(0,0,0, 0.8);
         background-position: center -178px;
         background-repeat: no-repeat;
     }

     .character-wrapper {
         width: 100%;
         height: 100%;
         background-position: -126px -30px;
         background-size: 600px auto;
     }

     .character-wrapper::before {
         background-position: -166px -69px;
         background-size: 678px auto;
     }
 }

 @media (max-height: 768px) and (max-width: 1024px) and (orientation: landscape) {
     .wheel__win-frame {
         top: -21px;
         width: 34px;
     }

     .wheel__button {
         bottom: -83px;
     }

     .wheel::before {
         height: 100%;
         bottom: -40px;
     }
 }

 @media (max-height: 486px) and (orientation: landscape){
     .character-wrapper {
         width: 315px;
         height: 100%;
         background-position: calc(100% + 90px) 65px;
         background-size: 300px auto;
     }

     .character-wrapper::before {
         background-position: calc(100% + 109px) 46px;
         background-size: 337px auto;
     }

     .wheel__border {
         transform: scale(0.86) translate(-50%, -50%);
     }

     .wheel__holder {
         transform: scale(0.85);
     }

     .wheel_sectors {
         transform: scale(0.95);
     }

     .wheel__win-frame {
         top: -17px;
     }

     .wheel__button {
         height: 45px;
         padding: 0 40px;
     }

     .fewmodal {
         background: radial-gradient(100% 100% at 47.27% 0%, #6638B0FF , rgba(17, 0, 0, 0.00) 51.19%), rgba(0,0,0, 0.5);
         background-position: center -73px;
         background-repeat: no-repeat;
     }

     @keyframes fly {
         from {
             background-position: center calc(50% - 5px), center calc(50% - 5px), center;
         }

         to {
             background-position: center calc(50% + 5px), center calc(50% + 5px), center;
         }
     }
 }

 @media (max-height: 400px) and (orientation: landscape){
     .wheel__button {
         bottom: -50px;
     }
 }

 @media (max-height: 360px) and (orientation: landscape){
     .wheel__border {
         transform: scale(0.74) translate(-50%, -50%);
     }

     .wheel__holder {
         transform: scale(0.74);
     }

     .wheel {
         top: calc(50% - 172px);
     }

     .wheel__button {
         height: 40px;
         bottom: -17px;
     }

     .win-circle__body {
         height: 185px;
     }
 }

 @media (max-width: 486px) and (max-height: 940px){
     .wheel {
         top: unset;
         bottom: 254px;
     }
 }

 @media (max-width: 486px) and (max-height: 920px){
     .wheel {
         top: unset;
         bottom: 229px;
     }
 }

 @media (max-width: 486px) and (max-height: 870px){
     .wheel {
         top: unset;
         bottom: 204px;
     }
 }

 @media (max-width: 486px) and (max-height: 830px){
     .wheel {
         top: unset;
         bottom: 212px;
     }

     .character-wrapper {
         background-position: -126px -110px;
     }

     .character-wrapper::before {
         background-position: -166px -149px;
     }
 }

 @media (max-width: 486px) and (max-height: 790px){
     .wheel {
         top: unset;
         bottom: 160px;
     }
 }

 @media (max-width: 486px) and (max-height: 700px){
     .character-wrapper {
         background-position: -126px -160px;
     }

     .character-wrapper::before {
         background-position: -166px -199px;
     }
 }

 @media (max-width: 486px) and (max-height: 650px){
     .wheel {
         top: unset;
         bottom: 145px;
     }

     .character-wrapper {
         background-position: -126px -155px;
     }

     .character-wrapper::before {
         background-position: -166px -193px;
     }
 }
